# --- UCSF Chimera Copyright ---
# Copyright (c) 2000 Regents of the University of California.
# All rights reserved.  This software provided pursuant to a
# license agreement containing restrictions on its disclosure,
# duplication and use.  This notice must be embedded in or
# attached to all copies, including partial copies, of the
# software or any revisions or derivations thereof.
# --- UCSF Chimera Copyright ---
#
# $Id: __init__.py 31199 2010-08-11 21:35:01Z gregc $


##########
#Water demo derived from Gromos loader by Denny Bromley (dbromley@uw.edu) 5/22/2013
##########

import os.path
import Tkinter

import chimera
from chimera import replyobj
from chimera.tkoptions import InputFileOption, FloatOption

from Waterdemo import Waterdemo



formatName = "Water Demo"


class ParamGUI:

    def __init__(self, parent):
        #add gui windows here.
        parent.columnconfigure(1, weight=1)

    def loadEnsemble(self, startFrame, endFrame, callback):
        args = []
        #collect gui input here
        loadEnsemble(args, startFrame, endFrame, callback)

def loadEnsemble(inputs, startFrame, endFrame, callback, relativeTo=None):

    #get the actual ensemble data here.
    ensemble = Waterdemo(inputs, startFrame, endFrame)

    replyobj.status("Creating interface", blankAfter=0)
    try:
    	callback(ensemble)
    finally:
    	replyobj.status("Interface created")
